## Example Usage

```python
import time

from pysesame3.auth import WebAPIAuth
from pysesame3.lock import CHSesame2


def main():
    auth = WebAPIAuth(apikey="fakeapikey")

    """
    By decoding the QR code generated by the official iOS/Android app,
    you can get the information you need.

    https://sesame-qr-reader.vercel.app/
    """
    your_key_uuid = "fakeuuid"
    your_key_secret = "fakesecret"

    device = CHSesame2(
        authenticator=auth, device_uuid=your_key_uuid, secret_key=your_key_secret
    )

    print((str(device.mechStatus)))
    # => CHSesame2MechStatus(Battery=100% (6.08V), isInLockRange=True, isInUnlockRange=False, Position=-10)

    device.unlock()
    time.sleep(5)

    print((str(device.mechStatus)))
    # => CHSesame2MechStatus(Battery=100% (6.09V), isInLockRange=False, isInUnlockRange=True, Position=241)

    device.toggle()
    time.sleep(5)

    print((str(device.mechStatus)))
    # => CHSesame2MechStatus(Battery=100% (6.09V), isInLockRange=True, isInUnlockRange=False, Position=25)


if __name__ == "__main__":
    main()

```
